- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# /home/coin/SVN-release/Osi-0.98.1/DyLP/src/Dylp/dylp.h File Reference

`#include "dylib_errs.h"`
`#include "dylib_io.h"`
`#include "dy_consys.h"`

Include dependency graph for dylp.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | basisel_struct
struct | basis_struct
struct | lpprob_struct
struct | lptols_struct
struct | lpopts_struct
struct | lpstats_struct
## Defines
#define | ladPRIMFEAS 1<<0
#define | ladPRIMALCHK 1<<1
#define | ladPFQUIET 1<<2
#define | ladDUALFEAS 1<<3
#define | ladDUALCHK 1<<4
#define | ladDFQUIET 1<<5
#define | ladDUALS 1<<6
#define | ladPRIMALS 1<<7
#define | ladFACTOR 1<<8
#define | ladEXPAND 1<<9
#define | vstatINV 0
#define | vstatBFX 1<<0
#define | vstatBUB 1<<1
#define | vstatB 1<<2
#define | vstatBLB 1<<3
#define | vstatBFR 1<<4
#define | vstatNBFX 1<<5
#define | vstatNBUB 1<<6
#define | vstatNBLB 1<<7
#define | vstatNBFR 1<<8
#define | vstatSB 1<<9
#define | vstatBUUB 1<<10
#define | vstatBLLB 1<<11
#define | vstatNOPIVOT ((flags) 1<<(sizeof(flags)*8-2))
#define | vstatNOPER ((flags) 1<<(sizeof(flags)*8-3))
#define | vstatNOLOAD ((flags) 1<<(sizeof(flags)*8-4))
#define | vstatBASIC (vstatBFX|vstatBUUB|vstatBUB|vstatB|vstatBLB|vstatBLLB|vstatBFR)
#define | vstatNONBASIC (vstatNBFX|vstatNBUB|vstatNBLB)
#define | vstatEXOTIC (vstatSB|vstatNBFR)
#define | vstatSTATUS (vstatBASIC|vstatNONBASIC|vstatEXOTIC)
#define | vstatQUALS (vstatNOPIVOT|vstatNOPER|vstatNOLOAD)
#define | VALID_STATUS(zz_status_zz)
#define | lpctlNOFREE 1<<0
#define | lpctlONLYFREE 1<<1
#define | lpctlUBNDCHG 1<<2
#define | lpctlLBNDCHG 1<<3
#define | lpctlRHSCHG 1<<4
#define | lpctlOBJCHG 1<<5
#define | lpctlACTVARSIN 1<<6
#define | lpctlINITACTVAR 1<<7
#define | lpctlINITACTCON 1<<8
#define | lpctlACTVARSOUT 1<<10
#define | lpctlDYVALID 1<<11
#define | DYSTATS_MAXDEGEN 25
#define | DYSTATS_HISTBINS 37
## Enumerations
enum | lpret_enum { lpFATAL = -1, lpINV = 0, lpOPTIMAL, lpUNBOUNDED, lpSWING, lpINFEAS, lpACCCHK, lpSTALLED, lpITERLIM, lpNOSPACE, lpLOSTFEAS, lpPUNT, lpFORCEDUAL, lpFORCEPRIMAL, lpFORCEFULL }
enum | dyphase_enum { dyINV = 0, dyINIT, dyPRIMAL1, dyPRIMAL2, dyDUAL, dyPURGEVAR, dyGENVAR, dyADDVAR, dyPURGECON, dyGENCON, dyADDCON, dyFORCEDUAL, dyFORCEPRIMAL, dyFORCEFULL, dyDONE }
enum | dyret_enum { dyrFATAL = -10, dyrITERLIM, dyrSTALLED, dyrBSPACE = -7, dyrSINGULAR = -6, dyrNUMERIC = -5, dyrLOSTPFEAS, dyrLOSTDFEAS, dyrDEGEN, dyrMADPIV, dyrINV = 0, dyrOK = 1, dyrPATCHED = 2, dyrRESELECT, dyrREQCHK, dyrACCCHK, dyrPUNT, dyrOPTIMAL, dyrUNBOUND, dyrSWING, dyrINFEAS }
enum | ibtype_enum { ibINV = 0, ibLOGICAL, ibSLACK, ibARCH }
enum | cxtype_enum { cxINV = 0, cxSINGLELP, cxINITIALLP, cxBANDC }
## Functions
void | dy_defaults (lpopts_struct **opts, lptols_struct **tols)
void | dy_checkdefaults (consys_struct *sys, lpopts_struct *opts, lptols_struct *tols)
void | dy_setprintopts (int lvl, lpopts_struct *opts)
lpret_enum | dylp (lpprob_struct *orig_lp, lpopts_struct *orig_opts, lptols_struct *orig_tols, lpstats_struct *orig_stats)
bool | dy_dupbasis (int dst_basissze, basis_struct **p_dst_basis, basis_struct *src_basis, int dst_statussze, flags **p_dst_status, int src_statuslen, flags *src_status)
bool | dy_expandxopt (lpprob_struct *lp, double **p_xopt)
void | dy_freesoln (lpprob_struct *lpprob)
bool | dy_pricenbvars (lpprob_struct *orig_lp, flags priceme, double **p_ocbar, int *p_nbcnt, int **p_nbvars)
bool | dy_pricedualpiv (lpprob_struct *orig_lp, int oxindx, double nubi, double xi, double nlbi, int nbcnt, int *nbvars, double *cbar, double *p_upeni, double *p_dpeni)
const char * | dy_prtlpret (lpret_enum lpret)
const char ** | dy_prtlpphase (dyphase_enum phase, bool abbrv)
char * | dy_prtvstat (flags status)
bool | dy_dumpcompact (ioid chn, bool echo, lpprob_struct *soln, bool nbzeros)
void | dy_initstats (lpstats_struct **p_lpstats, consys_struct *orig_sys)
void | dy_dumpstats (ioid chn, bool echo, lpstats_struct *lpstats, consys_struct *orig_sys)
void | dy_freestats (lpstats_struct **p_lpstats)

## Define Documentation

#define ladPRIMFEAS 1<<0

Definition at line 317 of file dylp.h.

#define ladPRIMALCHK 1<<1

Definition at line 318 of file dylp.h.

#define ladPFQUIET 1<<2

Definition at line 319 of file dylp.h.

#define ladDUALFEAS 1<<3

Definition at line 320 of file dylp.h.

#define ladDUALCHK 1<<4

Definition at line 321 of file dylp.h.

#define ladDFQUIET 1<<5

Definition at line 322 of file dylp.h.

#define ladDUALS 1<<6

Definition at line 323 of file dylp.h.

#define ladPRIMALS 1<<7

Definition at line 324 of file dylp.h.

#define ladFACTOR 1<<8

Definition at line 325 of file dylp.h.

#define ladEXPAND 1<<9

Definition at line 326 of file dylp.h.

#define vstatINV 0

Definition at line 377 of file dylp.h.

#define vstatBFX 1<<0

Definition at line 378 of file dylp.h.

#define vstatBUB 1<<1

Definition at line 379 of file dylp.h.

#define vstatB 1<<2

Definition at line 380 of file dylp.h.

#define vstatBLB 1<<3

Definition at line 381 of file dylp.h.

#define vstatBFR 1<<4

Definition at line 382 of file dylp.h.

#define vstatNBFX 1<<5

Definition at line 383 of file dylp.h.

#define vstatNBUB 1<<6

Definition at line 384 of file dylp.h.

#define vstatNBLB 1<<7

Definition at line 385 of file dylp.h.

#define vstatNBFR 1<<8

Definition at line 386 of file dylp.h.

#define vstatSB 1<<9

Definition at line 387 of file dylp.h.

#define vstatBUUB 1<<10

Definition at line 388 of file dylp.h.

#define vstatBLLB 1<<11

Definition at line 389 of file dylp.h.

#define vstatNOPIVOT ((flags) 1<<(sizeof(flags)*8-2))

Definition at line 396 of file dylp.h.

#define vstatNOPER ((flags) 1<<(sizeof(flags)*8-3))

Definition at line 397 of file dylp.h.

#define vstatNOLOAD ((flags) 1<<(sizeof(flags)*8-4))

Definition at line 398 of file dylp.h.

#define vstatBASIC (vstatBFX|vstatBUUB|vstatBUB|vstatB|vstatBLB|vstatBLLB|vstatBFR)

Definition at line 400 of file dylp.h.

#define vstatNONBASIC (vstatNBFX|vstatNBUB|vstatNBLB)

Definition at line 402 of file dylp.h.

#define vstatEXOTIC (vstatSB|vstatNBFR)

Definition at line 403 of file dylp.h.

#define vstatSTATUS (vstatBASIC|vstatNONBASIC|vstatEXOTIC)

Definition at line 405 of file dylp.h.

#define vstatQUALS (vstatNOPIVOT|vstatNOPER|vstatNOLOAD)

Definition at line 406 of file dylp.h.

#define VALID_STATUS | ( | zz_status_zz |  | ) |

Value:

    (zz_status_zz == vstatBFX || zz_status_zz == vstatBUB || \
       zz_status_zz == vstatB   || zz_status_zz == vstatBLB || \
       zz_status_zz == vstatBFR || \
       zz_status_zz == vstatNBFX || zz_status_zz == vstatNBUB || \
       zz_status_zz == vstatNBLB || zz_status_zz == vstatNBFR || \
       zz_status_zz == vstatSB)

Definition at line 414 of file dylp.h.

#define lpctlNOFREE 1<<0

Definition at line 495 of file dylp.h.

#define lpctlONLYFREE 1<<1

Definition at line 496 of file dylp.h.

#define lpctlUBNDCHG 1<<2

Definition at line 497 of file dylp.h.

#define lpctlLBNDCHG 1<<3

Definition at line 498 of file dylp.h.

#define lpctlRHSCHG 1<<4

Definition at line 499 of file dylp.h.

#define lpctlOBJCHG 1<<5

Definition at line 500 of file dylp.h.

#define lpctlACTVARSIN 1<<6

Definition at line 501 of file dylp.h.

#define lpctlINITACTVAR 1<<7

Definition at line 502 of file dylp.h.

#define lpctlINITACTCON 1<<8

Definition at line 503 of file dylp.h.

#define lpctlACTVARSOUT 1<<10

Definition at line 505 of file dylp.h.

#define lpctlDYVALID 1<<11

Definition at line 507 of file dylp.h.

#define DYSTATS_MAXDEGEN 25

Definition at line 1260 of file dylp.h.

#define DYSTATS_HISTBINS 37

Definition at line 1261 of file dylp.h.

## Enumeration Type Documentation

enum lpret_enum

Enumerator:

  lpFATAL |
  lpINV |
  lpOPTIMAL |
  lpUNBOUNDED |
  lpSWING |
  lpINFEAS |
  lpACCCHK |
  lpSTALLED |
  lpITERLIM |
  lpNOSPACE |
  lpLOSTFEAS |
  lpPUNT |
  lpFORCEDUAL |
  lpFORCEPRIMAL |
  lpFORCEFULL |

Definition at line 170 of file dylp.h.

enum dyphase_enum

Enumerator:

  dyINV |
  dyINIT |
  dyPRIMAL1 |
  dyPRIMAL2 |
  dyDUAL |
  dyPURGEVAR |
  dyGENVAR |
  dyADDVAR |
  dyPURGECON |
  dyGENCON |
  dyADDCON |
  dyFORCEDUAL |
  dyFORCEPRIMAL |
  dyFORCEFULL |
  dyDONE |

Definition at line 212 of file dylp.h.

enum dyret_enum

Enumerator:

  dyrFATAL |
  dyrITERLIM |
  dyrSTALLED |
  dyrBSPACE |
  dyrSINGULAR |
  dyrNUMERIC |
  dyrLOSTPFEAS |
  dyrLOSTDFEAS |
  dyrDEGEN |
  dyrMADPIV |
  dyrINV |
  dyrOK |
  dyrPATCHED |
  dyrRESELECT |
  dyrREQCHK |
  dyrACCCHK |
  dyrPUNT |
  dyrOPTIMAL |
  dyrUNBOUND |
  dyrSWING |
  dyrINFEAS |

Definition at line 274 of file dylp.h.

enum ibtype_enum

Enumerator:

  ibINV |
  ibLOGICAL |
  ibSLACK |
  ibARCH |

Definition at line 760 of file dylp.h.

enum cxtype_enum

Enumerator:

  cxINV |
  cxSINGLELP |
  cxINITIALLP |
  cxBANDC |

Definition at line 776 of file dylp.h.

## Function Documentation

void dy_defaults | ( | lpopts_struct ** | opts,
|  | lptols_struct ** | tols |
| ) |  |  |

void dy_checkdefaults | ( | consys_struct * | sys,
|  | lpopts_struct * | opts,
|  | lptols_struct * | tols |
| ) |  |  |

void dy_setprintopts | ( | int | lvl,
|  | lpopts_struct * | opts |
| ) |  |  |

lpret_enum dylp | ( | lpprob_struct * | orig_lp,
|  | lpopts_struct * | orig_opts,
|  | lptols_struct * | orig_tols,
|  | lpstats_struct * | orig_stats |
| ) |  |  |

bool dy_dupbasis | ( | int | dst_basissze,
|  | basis_struct ** | p_dst_basis,
|  | basis_struct * | src_basis,
|  | int | dst_statussze,
|  | flags ** | p_dst_status,
|  | int | src_statuslen,
|  | flags * | src_status |
| ) |  |  |

bool dy_expandxopt | ( | lpprob_struct * | lp,
|  | double ** | p_xopt |
| ) |  |  |

void dy_freesoln | ( | lpprob_struct * | lpprob | ) |

bool dy_pricenbvars | ( | lpprob_struct * | orig_lp,
|  | flags | priceme,
|  | double ** | p_ocbar,
|  | int * | p_nbcnt,
|  | int ** | p_nbvars |
| ) |  |  |

bool dy_pricedualpiv | ( | lpprob_struct * | orig_lp,
|  | int | oxindx,
|  | double | nubi,
|  | double | xi,
|  | double | nlbi,
|  | int | nbcnt,
|  | int * | nbvars,
|  | double * | cbar,
|  | double * | p_upeni,
|  | double * | p_dpeni |
| ) |  |  |

const char* dy_prtlpret | ( | lpret_enum | lpret | ) |

const char* * dy_prtlpphase | ( | dyphase_enum | phase,
|  | bool | abbrv |
| ) |  |  |

char* dy_prtvstat | ( | flags | status | ) |

bool dy_dumpcompact | ( | ioid | chn,
|  | bool | echo,
|  | lpprob_struct * | soln,
|  | bool | nbzeros |
| ) |  |  |

void dy_initstats | ( | lpstats_struct ** | p_lpstats,
|  | consys_struct * | orig_sys |
| ) |  |  |

void dy_dumpstats | ( | ioid | chn,
|  | bool | echo,
|  | lpstats_struct * | lpstats,
|  | consys_struct * | orig_sys |
| ) |  |  |

void dy_freestats | ( | lpstats_struct ** | p_lpstats | ) |